Package org.jcsp.lang

# Class AltingBarrierError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.jcsp.lang.AltingBarrierError

All Implemented Interfaces:
  `Serializable`

public class AltingBarrierError extends Error
This is thrown for an illegal operation on an `AltingBarrier`.

## Description

Currently, there are the following causes:

- different threads trying to operate on the same front-end;
- attempt to use as a `Guard` whilst resigned;
- attempt to `sync` whilst resigned;
- attempt to `resign` whilst resigned;
- attempt to `enroll` whilst enrolled;
- attempt to `expand` whilst resigned;
- attempt to `contract` whilst resigned;
- attempt to `contract` with an array of front-ends not supplied by `expand`;
- attempt to `mark` whilst resigned (caused by a process transfering a front-end in that state).

Author:
  P.H. Welch
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AltingBarrierError(String s)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AltingBarrierError

public AltingBarrierError(String s)